Summary:	A KDE style based on keramik
Name:		activeheart
Version:	1.2.1
Release:	1
License:	GPL
Group:		User Interface/Desktops
Source0:	activeheart-%{version}.tar.bz2
BuildPrereq:    kdebase-devel >= 3.2.0, kdelibs-devel >= 3.2.0, qt-devel >= 3.2.3
Requires:       kdebase >= 3.2.0, kdelibs >= 3.2.0, qt >= 3.2.3
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Packager:	amaterasu <prefsx1@yahoo.co.jp>

%description
The concept of this style is harmony of sharpness and softness.
And this style was created based on keramik.

Authors:
--------
amaterasu <prefsx1@yahoo.co.jp>

Keramik engine by:
Malte Starostik <malte@kde.org>
Maksim Orlovich <mo002j@mail.rochester.edu>

%prep

%setup  -q

%build
if [ -f /etc/profile.d/qt.sh ] ; then
	source /etc/profile.d/qt.sh
fi
CFLAGS="$RPM_OPT_FLAGS"
CXXFLAGS="$CFLAGS"
./configure --prefix="`kde-config --prefix`" --disable-debug --enable-final
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT -type f | sed s:$RPM_BUILD_ROOT:: > ____installed_file.list
find $RPM_BUILD_ROOT -type l | sed s:$RPM_BUILD_ROOT:: >> ____installed_file.list

%clean
rm -rf $RPM_BUILD_ROOT

%post
ldconfig

%postun
ldconfig

%files -f  ____installed_file.list
%defattr(-,root,root)
